/*! Data for atlases from Eickhoff's SPM toolbox.
Automatically compiled from: AllAreas_v13b_MPM.mat
 located at: /Volumes/elrond0/home4/users/ziad/Programs/matlab/spm2/toolbox/Anatomy_13b
 by function /Users/ziad/AFNI/src/matlab/CA_EZ_Prep.m
Date: 13-Feb-2006*/

/*! Leave the reference string in a separate file
for easy script parsing.*/
#include "thd_ttatlas_CA_EZ-ref.h"

/* ----------- Macro Labels --------------------- */
/* ----------- Based on: Macro.mat -------------*/
ATLAS_point ML_EZ_list[ML_EZ_COUNT] = {
   { 1   , "Left Precentral Gyrus.............................", 0, 0, 0, 0, ""},
   { 2   , "RightPrecentral Gyrus.............................", 0, 0, 0, 0, ""},
   { 3   , "Left Superior Frontal Gyrus.......................", 0, 0, 0, 0, ""},
   { 4   , "Right Superior Frontal Gyrus......................", 0, 0, 0, 0, ""},
   { 5   , "Left Superior Orbital Gyrus.......................", 0, 0, 0, 0, ""},
   { 6   , "Right Superior Orbital Gyrus......................", 0, 0, 0, 0, ""},
   { 7   , "Left Middle Frontal Gyrus.........................", 0, 0, 0, 0, ""},
   { 8   , "Right Middle Frontal Gyrus........................", 0, 0, 0, 0, ""},
   { 9   , "Left Middle Orbital Gyrus.........................", 0, 0, 0, 0, ""},
   { 10  , "Right Middle Orbital Gyrus........................", 0, 0, 0, 0, ""},
   { 11  , "Left Inferior Frontal Gyrus (p. Opercularis)......", 0, 0, 0, 0, ""},
   { 12  , "Right Inferior Frontal Gyrus (p. Opercularis).....", 0, 0, 0, 0, ""},
   { 13  , "Left Inferior Frontal Gyrus (p. Triangularis).....", 0, 0, 0, 0, ""},
   { 14  , "Right Inferior Frontal Gyrus (p. Triangularis)....", 0, 0, 0, 0, ""},
   { 15  , "Left Inferior Frontal Gyrus (p. Orbitalis)........", 0, 0, 0, 0, ""},
   { 16  , "Right Inferior Frontal Gyrus (p. Orbitalis).......", 0, 0, 0, 0, ""},
   { 17  , "Left Rolandic Operculum...........................", 0, 0, 0, 0, ""},
   { 18  , "Right Rolandic Operculum..........................", 0, 0, 0, 0, ""},
   { 19  , "Left SMA..........................................", 0, 0, 0, 0, ""},
   { 20  , "Right SMA.........................................", 0, 0, 0, 0, ""},
   { 21  , "Left Olfactory cortex.............................", 0, 0, 0, 0, ""},
   { 22  , "Right Olfactory cortex............................", 0, 0, 0, 0, ""},
   { 23  , "Left Superior Medial Gyrus........................", 0, 0, 0, 0, ""},
   { 24  , "Right Superior Medial Gyrus.......................", 0, 0, 0, 0, ""},
   { 25  , "Left Mid Orbital Gyrus............................", 0, 0, 0, 0, ""},
   { 26  , "Right Mid Orbital Gyrus...........................", 0, 0, 0, 0, ""},
   { 27  , "Left Rectal Gyrus.................................", 0, 0, 0, 0, ""},
   { 28  , "Right Rectal Gyrus................................", 0, 0, 0, 0, ""},
   { 29  , "Left Insula Lobe..................................", 0, 0, 0, 0, ""},
   { 30  , "Right Insula Lobe.................................", 0, 0, 0, 0, ""},
   { 31  , "Left Anterior Cingulate Cortex....................", 0, 0, 0, 0, ""},
   { 32  , "Right Anterior Cingulate Cortex...................", 0, 0, 0, 0, ""},
   { 33  , "Left Middle Cingulate Cortex......................", 0, 0, 0, 0, ""},
   { 34  , "Right Middle Cingulate Cortex.....................", 0, 0, 0, 0, ""},
   { 35  , "Left Posterior Cingulate Cortex...................", 0, 0, 0, 0, ""},
   { 36  , "Right Posterior Cingulate Cortex..................", 0, 0, 0, 0, ""},
   { 37  , "Left Hippocampus..................................", 0, 0, 0, 0, ""},
   { 38  , "Right Hippocampus.................................", 0, 0, 0, 0, ""},
   { 39  , "Left ParaHippocampal GYrus........................", 0, 0, 0, 0, ""},
   { 40  , "Right ParaHippocampal GYrus.......................", 0, 0, 0, 0, ""},
   { 41  , "Left Amygdala.....................................", 0, 0, 0, 0, ""},
   { 42  , "Right Amygdala....................................", 0, 0, 0, 0, ""},
   { 43  , "Left Calcarine Gyrus..............................", 0, 0, 0, 0, ""},
   { 44  , "Right Calcarine Gyrus.............................", 0, 0, 0, 0, ""},
   { 45  , "Left Cuneus.......................................", 0, 0, 0, 0, ""},
   { 46  , "Right Cuneus......................................", 0, 0, 0, 0, ""},
   { 47  , "Left Linual Gyrus.................................", 0, 0, 0, 0, ""},
   { 48  , "Right Linual Gyrus................................", 0, 0, 0, 0, ""},
   { 49  , "Left Superior Occipital Gyrus.....................", 0, 0, 0, 0, ""},
   { 50  , "Right Superior Occipital Gyrus....................", 0, 0, 0, 0, ""},
   { 51  , "Left Middle Occipital Gyrus.......................", 0, 0, 0, 0, ""},
   { 52  , "Right Middle Occipital Gyrus......................", 0, 0, 0, 0, ""},
   { 53  , "Left Inferior Occipital Gyrus.....................", 0, 0, 0, 0, ""},
   { 54  , "Right Inferior Occipital Gyrus....................", 0, 0, 0, 0, ""},
   { 55  , "Left Fusiform Gyrus...............................", 0, 0, 0, 0, ""},
   { 56  , "Right Fusiform Gyrus..............................", 0, 0, 0, 0, ""},
   { 57  , "Left Postcentral Gyrus............................", 0, 0, 0, 0, ""},
   { 58  , "Right Postcentral Gyrus...........................", 0, 0, 0, 0, ""},
   { 59  , "Left Superior Parietal Lobule.....................", 0, 0, 0, 0, ""},
   { 60  , "Right Superior Parietal Lobule....................", 0, 0, 0, 0, ""},
   { 61  , "Left Inferior Parietal Lobule.....................", 0, 0, 0, 0, ""},
   { 62  , "Right Inferior Parietal Lobule....................", 0, 0, 0, 0, ""},
   { 63  , "Left SupraMarginal Gyrus..........................", 0, 0, 0, 0, ""},
   { 64  , "Right SupraMarginal Gyrus.........................", 0, 0, 0, 0, ""},
   { 65  , "Left Angular Gyrus................................", 0, 0, 0, 0, ""},
   { 66  , "Right Angular Gyrus...............................", 0, 0, 0, 0, ""},
   { 67  , "Left Precuneus....................................", 0, 0, 0, 0, ""},
   { 68  , "Right Precuneus...................................", 0, 0, 0, 0, ""},
   { 69  , "Left Paracentral Lobule...........................", 0, 0, 0, 0, ""},
   { 70  , "Right Paracentral Lobule..........................", 0, 0, 0, 0, ""},
   { 71  , "Left Caudate Nucleus..............................", 0, 0, 0, 0, ""},
   { 72  , "Right Caudate Nucleus.............................", 0, 0, 0, 0, ""},
   { 73  , "Left Putamen......................................", 0, 0, 0, 0, ""},
   { 74  , "Right Putamen.....................................", 0, 0, 0, 0, ""},
   { 75  , "Left Pallidum.....................................", 0, 0, 0, 0, ""},
   { 76  , "Right Pallidum....................................", 0, 0, 0, 0, ""},
   { 77  , "Left Thalamus.....................................", 0, 0, 0, 0, ""},
   { 78  , "Right Thalamus....................................", 0, 0, 0, 0, ""},
   { 79  , "Left Heschls Gyrus................................", 0, 0, 0, 0, ""},
   { 80  , "Right Heschls Gyrus...............................", 0, 0, 0, 0, ""},
   { 81  , "Left Superior Temporal Gyrus......................", 0, 0, 0, 0, ""},
   { 82  , "Right Superior Temporal Gyrus.....................", 0, 0, 0, 0, ""},
   { 83  , "Left Temporal Pole................................", 0, 0, 0, 0, ""},
   { 84  , "Right Temporal Pole...............................", 0, 0, 0, 0, ""},
   { 85  , "Left Middle Temporal Gyrus........................", 0, 0, 0, 0, ""},
   { 86  , "Right Middle Temporal Gyrus.......................", 0, 0, 0, 0, ""},
   { 87  , "Left Medial Temporal Pole.........................", 0, 0, 0, 0, ""},
   { 88  , "Right Medial Temporal Pole........................", 0, 0, 0, 0, ""},
   { 89  , "Left Inferior Temporal Gyrus......................", 0, 0, 0, 0, ""},
   { 90  , "Right Inferior Temporal Gyrus.....................", 0, 0, 0, 0, ""},
   { 91  , "Left Cerebelum (Crus 1)...........................", 0, 0, 0, 0, ""},
   { 92  , "Right Cerebelum (Crus 1)..........................", 0, 0, 0, 0, ""},
   { 93  , "Left Cerebelum (Crus 2)...........................", 0, 0, 0, 0, ""},
   { 94  , "Right Cerebelum (Crus 2)..........................", 0, 0, 0, 0, ""},
   { 95  , "Left Cerebelum (III)..............................", 0, 0, 0, 0, ""},
   { 96  , "Right Cerebelum (III).............................", 0, 0, 0, 0, ""},
   { 97  , "Left Cerebelum (IV-V).............................", 0, 0, 0, 0, ""},
   { 98  , "Right Cerebelum (IV-V)............................", 0, 0, 0, 0, ""},
   { 99  , "Left Cerebelum (VI)...............................", 0, 0, 0, 0, ""},
   { 100 , "Right Cerebelum (VI)..............................", 0, 0, 0, 0, ""},
   { 101 , "Left Cerebelum (VII)..............................", 0, 0, 0, 0, ""},
   { 102 , "Right Cerebelum (VII).............................", 0, 0, 0, 0, ""},
   { 103 , "Left Cerebelum (VIII).............................", 0, 0, 0, 0, ""},
   { 104 , "Right Cerebelum (VIII)............................", 0, 0, 0, 0, ""},
   { 105 , "Left Cerebelum (IX)...............................", 0, 0, 0, 0, ""},
   { 106 , "Right Cerebelum (IX)..............................", 0, 0, 0, 0, ""},
   { 107 , "Left Cerebelum (X)................................", 0, 0, 0, 0, ""},
   { 108 , "Right Cerebelum (X)...............................", 0, 0, 0, 0, ""},
   { 109 , "Cerebellar Vermis (1/2)...........................", 0, 0, 0, 0, ""},
   { 110 , "Cerebellar Vermis (3).............................", 0, 0, 0, 0, ""},
   { 111 , "Cerebellar Vermis (4/5)...........................", 0, 0, 0, 0, ""},
   { 112 , "Cerebellar Vermis (6).............................", 0, 0, 0, 0, ""},
   { 113 , "Cerebellar Vermis (7).............................", 0, 0, 0, 0, ""},
   { 114 , "Cerebellar Vermis (8).............................", 0, 0, 0, 0, ""},
   { 115 , "Cerebellar Vermis (9).............................", 0, 0, 0, 0, ""},
   { 116 , "Cerebellar Vermis (10)............................", 0, 0, 0, 0, ""}
};

/* -----------     MPM      --------------------- */
/* ----------- Based on: AllAreas_v13b_MPM.mat --------------*/
ATLAS_point CA_EZ_list[CA_EZ_COUNT] = { 
   { 100, "Hipp. (CA)..............................", 0, 0, 0, 0, "Hippocampus_CA............." },
   { 105, "OP 1....................................", 0, 0, 0, 0, "SII_OP1...................." },
   { 110, "Area 45.................................", 0, 0, 0, 0, "Broca_45..................." },
   { 115, "Amyg. (CM)..............................", 0, 0, 0, 0, "Amygdala_CM................" },
   { 120, "Area 4a.................................", 0, 0, 0, 0, "PMC_4a....................." },
   { 125, "TE 1.0..................................", 0, 0, 0, 0, "PAC_TE10..................." },
   { 130, "Hipp. (EC)..............................", 0, 0, 0, 0, "Hippocampus_EC............." },
   { 135, "Area 3b.................................", 0, 0, 0, 0, "PSC_3b....................." },
   { 140, "hIP1....................................", 0, 0, 0, 0, "AIPS_AIP..................." },
   { 145, "Area 17.................................", 0, 0, 0, 0, "visual_V1.................." },
   { 150, "Amyg. (SF)..............................", 0, 0, 0, 0, "Amygdala_SF................" },
   { 155, "OP 3....................................", 0, 0, 0, 0, "SII_OP3...................." },
   { 160, "Area 44.................................", 0, 0, 0, 0, "Broca_44..................." },
   { 165, "Hipp. (FD)..............................", 0, 0, 0, 0, "Hippocampus_FD............." },
   { 170, "Area 4p.................................", 0, 0, 0, 0, "PMC_4p....................." },
   { 175, "Area 1..................................", 0, 0, 0, 0, "PSC_1......................" },
   { 180, "Area 18.................................", 0, 0, 0, 0, "visual_V2.................." },
   { 185, "TE 1.1..................................", 0, 0, 0, 0, "PAC_TE11..................." },
   { 190, "Hipp. (HATA)............................", 0, 0, 0, 0, "Hippocampus_HATA..........." },
   { 195, "hIP2....................................", 0, 0, 0, 0, "AIPS_VIP..................." },
   { 200, "OP 2....................................", 0, 0, 0, 0, "SII_OP2...................." },
   { 205, "Area 6..................................", 0, 0, 0, 0, "premotor_6................." },
   { 210, "Amyg. (LB)..............................", 0, 0, 0, 0, "Amygdala_LB................" },
   { 215, "Area 3a.................................", 0, 0, 0, 0, "PSC_3a....................." },
   { 220, "Area 2..................................", 0, 0, 0, 0, "PSC_2......................" },
   { 225, "TE 1.2..................................", 0, 0, 0, 0, "PAC_TE12..................." },
   { 230, "OP 4....................................", 0, 0, 0, 0, "SII_OP4...................." },
   { 235, "Hipp. (SUB).............................", 0, 0, 0, 0, "Hippocampus_SUB............" }
};

/* ----------- Left Right   --------------------- */
/* ---- Based on my understanding -------------- */
ATLAS_point LR_EZ_list[LR_EZ_COUNT] = {
   { 0  , "Non-Brain...", 0, 0, 0, 0, "" },
   { 1  , "Right Brain.", 0, 0, 0, 0, "" },
   { 2  , "Left Brain..", 0, 0, 0, 0, "" }
};

